SitePoint Sponsor

User Tag List

Results 1 to 2 of 2
  1. #1
    SitePoint Enthusiast
    Join Date
    Feb 2009
    Location
    British Columbia, Canada
    Posts
    90
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Looking for someone who's knowledgable working with Zend Framework/DW/PHP/MySQL

    This is further to a post I did a few days ago. I'm hoping to find someone here who knows all the ins and outs of Zend Framework and how it might affect existing pages.

    I had a form on a page which worked just fine for a week. All it did was allow the user to insert a record into our online database. About 50 records were inserted over the course of that week.

    Then the server people "made a copy of the latest Zend Framework available globally on the server and setup the include path." At that point, the form stopped working and threw up a cgi error. I had been experimenting with using Zend Mail on a different page (the one I wrote about earlier) and that page worked just fine once they'd activated Zend on the server - sort of. I was still having some weird problems but it DID work eventually.

    The new page, the one which had never been touched since it was first uploaded, suddenly started throwing up the cgi error once Zend was activated on the server. Can anyone tell me why that could happen? I've asked the server people but they tell me it's the coding on the page. How can that be when the page worked just fine previously? I've had to put the Zend Mail stuff into that page in order to get it to work (and that's another whole story!) but it makes no sense to me that the page broke without being touched on my end. The ONLY change was the server implementing Zend Framework.

    Any ideas what could be going on?

  2. #2
    SitePoint Guru
    Join Date
    Nov 2003
    Location
    Huntsville AL
    Posts
    664
    Mentioned
    3 Post(s)
    Tagged
    0 Thread(s)
    1. Which version of Zend were they using before the upgrade?
    2. Which version are they using now?

    You will need to pry some actual version numbers out of them before anyone can even begin to help. And while you are at it, you should probably verify that php version itself was not changed. And maybe copy/paste the cgi error.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •